Gentoo Archives: gentoo-commits

From: "Sebastian Pipping (sping)" <sping@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in net-analyzer/wireshark: ChangeLog wireshark-1.6.6.ebuild
Date: Sun, 01 Apr 2012 00:13:48
Message-Id: 20120401001337.814D02004B@flycatcher.gentoo.org
1 sping 12/04/01 00:13:37
2
3 Modified: ChangeLog
4 Added: wireshark-1.6.6.ebuild
5 Log:
6 net-analyzer/wireshark: 1.6.6 (bug #410071)
7
8 (Portage version: 2.1.10.51/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.328 net-analyzer/wireshark/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/wireshark/ChangeLog?rev=1.328&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/wireshark/ChangeLog?rev=1.328&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/wireshark/ChangeLog?r1=1.327&r2=1.328
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/ChangeLog,v
20 retrieving revision 1.327
21 retrieving revision 1.328
22 diff -u -r1.327 -r1.328
23 --- ChangeLog 6 Jan 2012 18:52:52 -0000 1.327
24 +++ ChangeLog 1 Apr 2012 00:13:37 -0000 1.328
25 @@ -1,6 +1,12 @@
26 # ChangeLog for net-analyzer/wireshark
27 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/ChangeLog,v 1.327 2012/01/06 18:52:52 armin76 Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/ChangeLog,v 1.328 2012/04/01 00:13:37 sping Exp $
30 +
31 +*wireshark-1.6.6 (01 Apr 2012)
32 +
33 + 01 Apr 2012; Sebastian Pipping <sping@g.o> +wireshark-1.6.6.ebuild:
34 + Bump to 1.6.6 (bug #410071), propagating denial of support for gnutls 3 by
35 + upstream due to license incompatibility
36
37 06 Jan 2012; Raúl Porcel <armin76@g.o> wireshark-1.6.4.ebuild:
38 alpha/ia64/sparc stable wrt #389255
39
40
41
42 1.1 net-analyzer/wireshark/wireshark-1.6.6.ebuild
43
44 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.6.ebuild?rev=1.1&view=markup
45 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.6.ebuild?rev=1.1&content-type=text/plain
46
47 Index: wireshark-1.6.6.ebuild
48 ===================================================================
49 # Copyright 1999-2012 Gentoo Foundation
50 # Distributed under the terms of the GNU General Public License v2
51 # $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.6.ebuild,v 1.1 2012/04/01 00:13:37 sping Exp $
52
53 EAPI="3"
54 PYTHON_DEPEND="python? 2"
55 inherit libtool flag-o-matic eutils toolchain-funcs python
56
57 [[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
58 DESCRIPTION="A network protocol analyzer formerly known as ethereal"
59 HOMEPAGE="http://www.wireshark.org/"
60 SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2"
61
62 LICENSE="GPL-2"
63 SLOT="0"
64 KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
65 IUSE="adns ares doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
66 profile +pcap portaudio python +caps selinux smi ssl threads zlib"
67
68 RDEPEND=">=dev-libs/glib-2.14:2
69 zlib? ( sys-libs/zlib
70 !=sys-libs/zlib-1.2.4 )
71 smi? ( net-libs/libsmi )
72 gtk? ( >=x11-libs/gtk+-2.4.0:2
73 x11-libs/pango
74 dev-libs/atk
75 x11-misc/xdg-utils )
76 ssl? ( <net-libs/gnutls-3 )
77 gcrypt? ( dev-libs/libgcrypt )
78 pcap? ( net-libs/libpcap )
79 caps? ( sys-libs/libcap )
80 kerberos? ( virtual/krb5 )
81 portaudio? ( media-libs/portaudio )
82 ares? ( >=net-dns/c-ares-1.5 )
83 !ares? ( adns? ( net-libs/adns ) )
84 geoip? ( dev-libs/geoip )
85 lua? ( >=dev-lang/lua-5.1 )
86 selinux? ( sec-policy/selinux-wireshark )"
87
88 DEPEND="${RDEPEND}
89 doc? ( dev-libs/libxslt
90 dev-libs/libxml2
91 app-doc/doxygen
92 doc-pdf? ( dev-java/fop ) )
93 >=dev-util/pkgconfig-0.15.0
94 dev-lang/perl
95 sys-devel/bison
96 sys-apps/sed
97 sys-devel/flex
98 !!<net-analyzer/wireshark-1.6.0_rc1"
99
100 S=${WORKDIR}/${MY_P}
101
102 # borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
103 # @FUNCTION: fcaps
104 # @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
105 # @RETURN: 0 if all okay; non-zero if failure and fallback
106 # @DESCRIPTION:
107 # fcaps sets the specified capabilities in the effective and permitted set of
108 # the given file. In case of failure fcaps sets the given file-mode.
109 fcaps() {
110 local uid_gid=$1
111 local perms=$2
112 local capset=$3
113 local path=$4
114 local res
115
116 chmod $perms $path && \
117 chown $uid_gid $path
118 res=$?
119
120 use caps || return $res
121
122 #set the capability
123 setcap "$capset=ep" "$path" &> /dev/null
124 #check if the capabilitiy got set correctly
125 setcap -v "$capset=ep" "$path" &> /dev/null
126 res=$?
127
128 if [ $res -ne 0 ]; then
129 ewarn "Failed to set capabilities. Probable reason is missed kernel support."
130 ewarn "Kernel must have <FS>_FS_SECURITY enabled where <FS> is the filesystem"
131 ewarn "to store ${path} (e.g. EXT3_FS_SECURITY). For kernels version before"
132 ewarn "2.6.33_rc1 SECURITY_FILE_CAPABILITIES must be enabled as well."
133 ewarn
134 ewarn "Falling back to suid now..."
135 chmod u+s ${path}
136 fi
137 return $res
138 }
139
140 pkg_setup() {
141 if ! use gtk; then
142 ewarn "USE=-gtk disables gtk-based gui called wireshark."
143 ewarn "Only command line utils will be built available"
144 fi
145 if use python; then
146 python_set_active_version 2
147 python_pkg_setup
148 fi
149 # Add group for users allowed to sniff.
150 enewgroup wireshark
151 }
152
153 src_configure() {
154 local myconf
155
156 if [[ $(gcc-major-version) -lt 3 ||
157 ( $(gcc-major-version) -eq 3 &&
158 $(gcc-minor-version) -le 4 ) ]] ; then
159 die "Unsupported compiler version, please upgrade."
160 fi
161
162 if use ares && use adns; then
163 elog "You asked for both, ares and adns, but we can use only one of them."
164 elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
165 myconf="$(use_with ares c-ares) --without-adns"
166 else
167 myconf="$(use_with adns) $(use_with ares c-ares)"
168 fi
169
170 # profile and pie are incompatible #215806, #292991
171 if use profile; then
172 ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
173 ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
174 append-flags $(test-flags-CC -nopie)
175 fi
176
177 # Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
178 # --with-ssl to ./configure. (Mimics code from acinclude.m4).
179 if use kerberos; then
180 case `krb5-config --libs` in
181 *-lcrypto*)
182 ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
183 ewarn "Note there are annoying license incompatibilities between the OpenSSL"
184 ewarn "license and the GPL, so do your check before distributing such package."
185 myconf+=" --with-ssl"
186 ;;
187 esac
188 fi
189
190 # Hack around inability to disable doxygen/fop doc generation
191 use doc || export ac_cv_prog_HAVE_DOXYGEN=false
192 use doc-pdf || export ac_cv_prog_HAVE_FOP=false
193
194 # dumpcap requires libcap, setuid-install requires dumpcap
195 econf $(use_enable gtk wireshark) \
196 $(use_enable profile profile-build) \
197 $(use_with ssl gnutls) \
198 $(use_with gcrypt) \
199 $(use_enable ipv6) \
200 $(use_enable threads) \
201 $(use_with lua) \
202 $(use_with kerberos krb5) \
203 $(use_with smi libsmi) \
204 $(use_with zlib) \
205 $(use_with geoip) \
206 $(use_with portaudio) \
207 $(use_with python) \
208 $(use_with caps libcap) \
209 $(use_with pcap) \
210 $(use_with pcap dumpcap-group wireshark) \
211 $(use pcap && use_enable caps setcap-install) \
212 $(use pcap && use_enable !caps setuid-install) \
213 --sysconfdir="${EPREFIX}"/etc/wireshark \
214 --disable-extra-gcc-checks \
215 ${myconf}
216 }
217
218 src_compile() {
219 emake || die
220 use doc && cd docbook && { emake || die; }
221 }
222
223 src_install() {
224 emake DESTDIR="${D}" install || die "emake install failed"
225 if use doc; then
226 dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
227 if use doc-pdf; then
228 insinto /usr/share/doc/${PF}/pdf/
229 doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
230 fi
231 fi
232
233 # FAQ is not required as is installed from help/faq.txt
234 dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
235 doc/{randpkt.txt,README*}
236
237 insinto /usr/include/wiretap
238 doins wiretap/wtap.h || die
239
240 if use gtk; then
241 for c in hi lo; do
242 for d in 16 32 48; do
243 insinto /usr/share/icons/${c}color/${d}x${d}/apps
244 newins image/${c}${d}-app-wireshark.png wireshark.png
245 done
246 done
247 domenu wireshark.desktop || die
248 fi
249 use pcap && chmod o-x "${ED}"/usr/bin/dumpcap #357237
250 }
251
252 pkg_postinst() {
253 if use caps && use pcap; then
254 fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${EROOT}"/usr/bin/dumpcap
255 fi
256 echo
257 ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
258 ewarn "the wireshark group. This security measure ensures that only trusted"
259 ewarn "users are allowed to sniff your traffic."
260 echo
261 }